package com.yonge.cooleshow.admin.io.request.im;

import com.alibaba.fastjson.JSON;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 客服群发接收
 * 2022-12-09 10:49:10
 */
@ApiModel(value = "CustomerServiceReceiveVo对象", description = "客服群发接收查询视图对象")
public class CustomerServiceReceiveVo {

    @ApiModel(" CustomerServiceReceiveQuery-客服群发接收")
    public static class CustomerServiceReceiveQuery extends QueryInfo {
    
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static CustomerServiceReceiveQuery from(String json) {
            return JSON.parseObject(json, CustomerServiceReceiveQuery.class);
        }
    }
    
    @Data
    @ApiModel(" CustomerServiceReceive-客服群发接收")
    public static class CustomerServiceReceive {
    	
                
		@ApiModelProperty("主键ID") 
        private Long id;

        @ApiModelProperty("群发消息ID")
        private Long batchSendingId;
                
		@ApiModelProperty("用户ID") 
        private Long userId;
                
		@ApiModelProperty("用户身份")
        private String clientType;
                
		@ApiModelProperty("创建时间")
        private Date createTime;
                
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static CustomerServiceReceive from(String json) {
            return JSON.parseObject(json, CustomerServiceReceive.class);
        }
    }
    
}